Default Warehouse Override
Represents a per-user default warehouse override configuration. This resource allows users or administrators to customize how a user's default warehouse is selected for SQL operations. If no override exists for a user, the workspace default warehouse will be used.
DefaultWarehouseOverride object
Represents a per-user default warehouse override configuration. This resource allows users or administrators to customize how a user's default warehouse is selected for SQL operations. If no override exists for a user, the workspace default warehouse will be used.
- namestringBeta
The resource name of the default warehouse override. Format: default-warehouse-overrides/{default_warehouse_override_id}
- default_warehouse_override_idstringBeta
The ID component of the resource name (user ID).
- typestringBeta
The type of override behavior.
- warehouse_idstringBeta
The specific warehouse ID when type is CUSTOM. Not set for LAST_SELECTED type.
Get Beta
GET
Returns the default warehouse override for a user. Users can fetch their own override. Admins can fetch overrides for any user. If no override exists, the UI will fallback to the workspace default warehouse.
API scopes: sql
Parameters
- namestringpath
Required. The resource name of the default warehouse override to retrieve. Format: default-warehouse-overrides/{default_warehouse_override_id} The default_warehouse_override_id can be a numeric user ID or the literal string "me" for the current user.
Response
Returns the DefaultWarehouseOverride object.
List Beta
GET
Lists all default warehouse overrides in the workspace. Only workspace administrators can list all overrides.
API scopes: sql
Parameters
- page_sizeint32query
The maximum number of overrides to return. The service may return fewer than this value. If unspecified, at most 100 overrides will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000.
- page_tokenstringquery
A page token, received from a previous
ListDefaultWarehouseOverridescall. Provide this to retrieve the subsequent page.When paginating, all other parameters provided to
ListDefaultWarehouseOverridesmust match the call that provided the page token.
Response
Returns a list of DefaultWarehouseOverride objects.
Create Beta
POST
Creates a new default warehouse override for a user. Users can create their own override. Admins can create overrides for any user.
API scopes: sql
Parameters
- default_warehouse_override_idstringquery
Required. The ID to use for the override, which will become the final component of the override's resource name. Can be a numeric user ID or the literal string "me" for the current user.
Request body
- default_warehouse_overrideobject
Required. The default warehouse override to create.
Show child attributesHide child attributes
- namestring
The resource name of the default warehouse override. Format: default-warehouse-overrides/{default_warehouse_override_id}
- default_warehouse_override_idstring
The ID component of the resource name (user ID).
- typestring
The type of override behavior.
- warehouse_idstring
The specific warehouse ID when type is CUSTOM. Not set for LAST_SELECTED type.
Response
Returns the DefaultWarehouseOverride object.
Update Beta
PATCH
Updates an existing default warehouse override for a user. Users can update their own override. Admins can update overrides for any user.
API scopes: sql
Parameters
- default_warehouse_overrideobjectpath
Required. The default warehouse override to update. The name field must be set in the format: default-warehouse-overrides/{default_warehouse_override_id} The default_warehouse_override_id can be a numeric user ID or the literal string "me" for the current user.
Show child attributesHide child attributes
- namestring
The resource name of the default warehouse override. Format: default-warehouse-overrides/{default_warehouse_override_id}
- default_warehouse_override_idstring
The ID component of the resource name (user ID).
- typestring
The type of override behavior.
- warehouse_idstring
The specific warehouse ID when type is CUSTOM. Not set for LAST_SELECTED type.
- update_maskstringquery
Required. Field mask specifying which fields to update. Only the fields specified in the mask will be updated. Use "*" to update all fields. When allow_missing is true, this field is ignored and all fields are applied.
- allow_missingbooleanquery
If set to true, and the override is not found, a new override will be created. In this situation,
update_maskis ignored and all fields are applied. Defaults to false.
Response
Returns the DefaultWarehouseOverride object.
Delete Beta
DELETE
Deletes the default warehouse override for a user. Users can delete their own override. Admins can delete overrides for any user. After deletion, the workspace default warehouse will be used.
API scopes: sql
Parameters
- namestringpath
Required. The resource name of the default warehouse override to delete. Format: default-warehouse-overrides/{default_warehouse_override_id} The default_warehouse_override_id can be a numeric user ID or the literal string "me" for the current user.